# Method: systemapks.variants.list

- [HTTP request](https://developers.google.com/android-publisher/api-ref/rest/v3/systemapks.variants/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/android-publisher/api-ref/rest/v3/systemapks.variants/list#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/android-publisher/api-ref/rest/v3/systemapks.variants/list#body.request_body)
- [Response body](https://developers.google.com/android-publisher/api-ref/rest/v3/systemapks.variants/list#body.response_body)
  - [JSON representation](https://developers.google.com/android-publisher/api-ref/rest/v3/systemapks.variants/list#body.SystemApksListResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/android-publisher/api-ref/rest/v3/systemapks.variants/list#body.aspect)
- [Try it!](https://developers.google.com/android-publisher/api-ref/rest/v3/systemapks.variants/list#try-it)

Returns the list of previously created system APK variants.

### HTTP request

`GET https://androidpublisher.googleapis.com/androidpublisher/v3/applications/{packageName}/systemApks/{versionCode}/variants`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `packageName` | `string` Package name of the app. |
| `versionCode` | `string (https://developers.google.com/discovery/v1/type-format format)` The version code of the App Bundle. |

### Request body

The request body must be empty.

### Response body

Response to list previously created system APK variants.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "variants": [ { object (`https://developers.google.com/android-publisher/api-ref/rest/v3/systemapks.variants#Variant`) } ] } ``` |

| Fields ||
|---|---|
| `variants[]` | ``object (`https://developers.google.com/android-publisher/api-ref/rest/v3/systemapks.variants#Variant`)`` All system APK variants created. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/androidpublisher`